import { NgModule } from '@angular/core';
import { PreloadAllModules, RouterModule, Routes } from '@angular/router';

const routes: Routes = [
  {
    path: '',
    loadChildren: () => import('./tabs/tabs.module').then(m => m.TabsPageModule)
  },
  {
    path: 'tab4',
    loadChildren: () => import('./tab4/tab4.module').then( m => m.Tab4PageModule)
  },
  {
    path: 'tab11',
    loadChildren: () => import('./tab4/tab11/tab11.module').then( m => m.Tab11PageModule)
  },
  {
    path: 'tab12',
    loadChildren: () => import('./tab4/tab12/tab12.module').then( m => m.Tab12PageModule)
  },
  {
    path: 'tab13',
    loadChildren: () => import('./tab4/tab13/tab13.module').then( m => m.Tab13PageModule)
  },
  {
    path: 'tab14',
    loadChildren: () => import('./tab4/tab14/tab14.module').then( m => m.Tab14PageModule)
  },
  {
    path: 'chat',
    loadChildren: () => import('./chat/chat.module').then( m => m.Tab1PageModule)
  },
  {
    path: 'chat-test1/:username',
    loadChildren: () => import('./chat/chat.module').then( m => m.Tab1PageModule)
  }
];
@NgModule({
  imports: [
    RouterModule.forRoot(routes, { preloadingStrategy: PreloadAllModules })
  ],
  exports: [RouterModule]
})
export class AppRoutingModule {}
